.sign-up-wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}


.sign-up-box {
    width: 100%;
    max-width: 1000px;
    overflow: hidden;
    border: 1px solid var(--dark-border);
    border-bottom: 0;
    padding: 2rem;
    display: flex;
    gap: 1rem;
}

.h2-header {
    color: white;
    font-size: 30px;
    text-wrap: nowrap;
}

.sign-up-input-wrapper {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.sign-up-header {
    position: relative;
    margin-bottom: 2rem;
}

.sign-up-half {
    padding: 0rem 1rem;
    width: 50%;
    
}

#sign-up-half-text {
    max-height: 350px;
    height: 350px;
}

.sign-label {
    color: white;
    font-size: 14px;
}

.sign-up-input {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.sign-up-btn {
    width: 100%;
    margin-top: 2rem;
}

.sign-up-btn .th-btn-2 {
    width: 100%;
}

#sign-up-promo {
    color: white;
    font-size: 55px;
    font-weight: 500;
    scroll-behavior: smooth;
}

.sign-up-disc {
    margin-top: 1rem;
    color: white;
    font-size: 12px;
    text-align: center;
}

.sign-up-disc a {
    color: white;
}

.sign-up-dif {
    width: 100%;
    border-top: 1px solid var(--dark-border);
    margin-top: 2rem;
    padding-top: 1rem;
}

.sign-up-header::before {
    content: attr(msg);
    position: absolute;
    color: white;
    top: -20px;
    font-size: 14px;
    color: var(--error-color);
}

.password-wrap {
    position: relative;
    display: flex;
    align-items: center;
}

#password-input {
    padding-right: 65px;
    z-index: 2;
}

#password-show {
    z-index: 1;
    color: white;
    position: absolute;
    font-size: 13px;
    cursor: pointer;
    right: 10px;
    transition: transform 0.6s ease;
    user-select: none;
}

#password-show.active {
    transform: rotate(360deg);
}


@media (max-width: 888px) {
    .sign-up-box {
        padding-left: 1rem;
        padding-right: 1rem;
    }
}

@media (max-width: 744px) {
    .sign-up-box {
        align-items: center;
        gap: 3rem;
        flex-direction: column;
    }
    .sign-up-half {
        width: 99%;
        max-width: 500px;
    }
    #sign-up-half-text {
        overflow: hidden;
    }
    #sign-up-promo {
        font-size: 44px;
        max-width: none !important;
    }
    #sign-up-half-text {
        max-width: none !important;
    }
    .sign-up-box {
        padding-left: 0rem;
        padding-right: 0rem;
    }
}

@media (max-width: 384px) {
    .h2-header {
        font-size: 27px;
    }
}